## cinnamon-desktop-6.4.2.tar.gz

=== meson_options.txt ===
option('deprecation_warnings', type: 'boolean', value: false,
       description: 'Show compiler warnings about deprecated features')
option('pnp_ids', type: 'string',  value: '',
       description: 'Specify the path to pnp.ids (default is an internal copy)')
option('alsa', type: 'boolean', value: false,
       description: 'ALSA support')
option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

=== debian/changelog ===
cinnamon-desktop (6.4.2) gigi; urgency=medium

  [ Michael Webster ]
  * build: debian/control fix for alt package name, use debugoptimized build type, fix meson warning.
  * debian/control: Remove old gdkpixbuf package.
  * build: Fix gnome-languages introspection.
  * debian/control: Add provides to gir1.2-cinnamondesktop-3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:40:59 +0100

cinnamon-desktop (6.4.1) xia; urgency=medium

  [ Himadri Sekhar Basu ]
  * Add iso-codes as build-depends (#248)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:42:55 +0000

cinnamon-desktop (6.4.0) xia; urgency=medium

  [ Clement Lefebvre ]
  * Simplify overamplification setting

  [ Michael Webster ]
  * Adapt gnome-rr-* to work thru muffin, to support color profiles and nightlight in x11/wayland.
  * Backport some language/locale-related changes for keyboard layout support.
  * Remove gnome-installer.
  * Update debian/symbols file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:16:51 +0000

cinnamon-desktop (6.2.0) wilma; urgency=medium

  [ Michael Webster ]
  * Add a makepot script.
  * gnome-wall-clock.c: Update default date-time formats to adapt to GDateTime change.

  [ Clement Lefebvre ]
  * l10n: Update msgids/msgstr to reflect changes in the previous commit
  * Update the default date format
  * Revert "Add a makepot script."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:13:50 +0100

cinnamon-desktop (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * gschemas: Change a comment

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#234)

  [ Michael Webster ]
  * cdesktop-enums: Expand CDesktopStylusButtonAction to include 'disabled'.
  * Add gnome-systemd
  * Add gnome-idle-monitor
  * a11y: Add 'always-show-text-caret' xsetting

  [ Rick Calixte ]
  * Adding an option for notification screen selection (#231)
  * notifications schema: Add fullscreen-notifications boolean (#233)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:37:20 +0000

cinnamon-desktop (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * Add high-contrast key.
  * gnome-desktop-thumbnailer.c: Only attempt to thumbnail internally if gdk-pixbuf actually supports the mime_type.
  * github workflow: Add optional ssh session.
  * org.cinnamon.desktop.keybindings: Add entries for warping the pointer between monitors.
  * Remove color-scheme additions (added in d880133b38da46b22).
  * Update cvc symbols.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:55:15 +0100

cinnamon-desktop (5.6.1) vera; urgency=medium

  [ Michael Webster ]
  * Add a settings key for the gtk-enable-primary-paste GtkSetting.
  * touchpad: Enable tap-to-click by default.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:00:14 +0000

cinnamon-desktop (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * Fix some introspection problems.
  * Use github instead of circleci.
  * Keybindings: Add a default keybinding for 'switch-panels-backward'.
  * gvc-channel-map.c: Fix return with a value in a void function.
  * gnome-wall-clock.c: Fix a gi scanner warning.

  [ Joshua Peisach ]
  * fix a null pointer deref scan-build found

  [ Rick Calixte ]
  * Add a setting for notification duration (#215)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2022 09:59:49 +0000

cinnamon-desktop (5.4.2) vanessa; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Stephen Collins ]
  * libcvc: Add stream monitor functionality

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 07:52:32 +0200

cinnamon-desktop (5.4.1) vanessa; urgency=medium

  [ mobinmob ]
  * libcvc/meson.build: fix building with alsa. (#207)

  [ Cobinja ]
  * Fix testsound positions in cinnamon-settings

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:15:41 +0200

cinnamon-desktop (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Add debian/ symbol files for libcvc and libcinnamon-desktop.
  * d/control: update build-deps
  * Refresh Cvc
  * all: Changes for muffin rebase

  [ Oliver Kaestner ]
  * Fix build warnings

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 10:11:56 +0200

cinnamon-desktop (5.2.1) una; urgency=medium

  [ Michael Webster ]
  * gnome-desktop-thumbnailer.c: Make sure a thumbnailer's binary is found in the path before deciding to use it.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jan 2022 16:04:32 +0000

cinnamon-desktop (5.2.0) una; urgency=medium

  [ Fabio Fantoni ]
  * Add screen reader keybinding for improve accessibility

  [ Michael Webster ]
  * gnome-rr.c: Restore fractional scale limiting, mistakenly removed in 23b8dcf6bb14fc625d.
  * Allow 3x scaling if the monitor resolution safely permits it.

  [ Oliver Kästner ]
  * build: don't translate gschemas (#200)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:19:47 +0000

cinnamon-desktop (5.0.0) uma; urgency=medium

  [ Leigh Scott ]
  * avoid deprecated g_type_class_add_private

  [ Michael Webster ]
  * libcinnamon-desktop: Fix some various build warnings, and an incorrect free.

  [ simon ]
  * gnome-bg.c: fix a leak https://gitlab.gnome.org/GNOME/gnome-desktop/-/commit/af0f0fbb835e5bb22b7bce4581d3f081462b5f5b and another similar instance

  [ Joshua Peisach ]
  * Always parse date/time integers in base-10

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 14:59:26 +0100

cinnamon-desktop (4.8.1) ulyssa; urgency=medium

  [ sudorook ]
  * gnome-bg.c: don't decrement hour by 1 when parsing xml backgrounds

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:18:33 +0000

cinnamon-desktop (4.8.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * cdesktop-enums.h: Don't allow area or window screenshots while cinnamon is in a grab state

  [ Fabio Fantoni ]
  * debian: Bump debhelper compat level to 12


=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 iso-codes,
 libaccountsservice-dev,
 libgdk-pixbuf-2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libudev-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 meson (>= 0.50.0),
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.6

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Provides: gir1.2-cdesktopenums-3.0 (= ${binary:Version})
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for libcinnamon-desktop.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.

Package: libcinnamon-desktop-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon shared utility library - debugging symbols
 This package contains the symbols files needed to debug the libcinnamon-desktop
 library.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon shared utility library - development files
 This package provides the headers and other development files for the
 libcinnamon-desktop library.

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon shared utility library.
 This library is used by a number of Cinnamon components, in various ways.

Package: libcvc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon pulseaudio abstraction library - debug symbols
 This package contains the symbols files needed to
 debug the Cvc library.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libpulse-dev,
 ${misc:Depends},
Description: Cinnamon pulseaudio abstraction library - development files
 This package provides the include files and static
 library for cvc.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
